## gpodder 0.16.1-5fremantleui

=== debian/changelog ===
gpodder (0.16.1-5fremantleui) fremantle; urgency=low

  * Fixed Maemo UI bugs 4686, 4687, 4688, 4689

 -- Thomas Perl <thp@gpodder.org>  Tue, 16 Jun 2009 12:25:53 +0200
