## gpodder 0.16.1-6fremantleui

=== debian/changelog ===
gpodder (0.16.1-6fremantleui) fremantle; urgency=low

  * Fixed some bugs in the latest release; re-enabled welcome screen

 -- Thomas Perl <thp@gpodder.org>  Tue, 16 Jun 2009 15:03:18 +0200
