## gpodder 0.16.1-7fremantleui

=== debian/changelog ===
gpodder (0.16.1-7fremantleui) fremantle; urgency=low

  * Add special code to show the AppMenu (for beta2 and later)

 -- Thomas Perl <thp@gpodder.org>  Sat,  1 Aug 2009 18:14:12 +0200
