## gpodder 0.16.1-8fremantleui

=== debian/changelog ===
gpodder (0.16.1-8fremantleui) fremantle; urgency=low

  * Use $HOME for downloads

 -- Thomas Perl <thp@gpodder.org>  Mon,  3 Aug 2009 21:14:52 +0200
