## gpodder 0.16.1-9fremantleui

=== debian/changelog ===
gpodder (0.16.1-9fremantleui) fremantle; urgency=low

  * Rename application in .desktop file to "gPodder" to avoid the
    name being cut off in the menu

 -- Thomas Perl <thp@gpodder.org>  Thu, 20 Aug 2009 15:00:40 +0200
