=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  .
  A version for Linux Desktops exists. This is the Maemo version.
 XB-Maemo-Display-Name: gPodder Podcast Client
-XB-Maemo-Upgrade-Description: Preview release with new Maemo 5 UI (2009-06-14)
+XB-Maemo-Upgrade-Description: Fix application name in menu to fit view
 XB-Maemo-Icon-26: iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAMAAACelLz8AAADAFBMVEUDAwMEBAQDAwMDAwMDAwMC
  AgICAgICAgIBAQEBAQEAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAB
  AQACBQAJEgAWKwAhQgAoTwAuXAAzZAE1aAE2awI3bQI4bQI4bQM4bAM4awQ4awU4awY4aAc2Ywk1
