## gpodder 0.16.1-10frmntl0

=== debian/changelog ===
gpodder (0.16.1-10frmntl0) fremantle; urgency=low

  * Add support for subscribing to URLs via command-line
    (backported from the Git development version for feedhandler)

 -- Thomas Perl <thp@gpodder.org>  Wed, 26 Aug 2009 15:45:46 +0200
