=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: gpodder
 Architecture: all
-Depends: python (>= 2.5), python-gtk2, python-hildon, python-feedparser, python-dbus
+Depends: python (>= 2.5), python-gtk2, python-hildon, python-feedparser, python-dbus, feedhandler (>= 0.2)
 Description: A usable podcast aggregator for Internet Tablets
  gPodder is a podcast receiver/catcher with a specialized UI that
  has been optimized for Nokia Internet Tablets. Podcasts are like
