## gpodder 0.16.1-10frmntl1

=== debian/changelog ===
gpodder (0.16.1-10frmntl1) fremantle; urgency=low

  * Work around Maemo bug #4718 by setting the widget name for buttons
  * Shownotes: "One window to rule them all" (Closes: Maemo bug #5097)
  * Support the changed API for PyMaemo's HildonTouchSelector
    (hildon.TouchSelector(text=True) vs. hildon_touch_selector_new_text)

 -- Thomas Perl <thp@gpodder.org>  Fri,  4 Sep 2009 18:43:40 +0200
