## gpodder 2.5-1

=== debian/changelog ===
gpodder (2.5-1) fremantle; urgency=low

  * The "Knock knock knock Penny" release

 -- Thomas Perl <thp@thpinfo.com>  Tue, 20 Apr 2010 20:43:08 +0200

gpodder (2.4-2) fremantle; urgency=low

  * Cherry-picked two YouTube download fixes from upstream

 -- Thomas Perl <thp@thpinfo.com>  Thu, 01 Apr 2010 17:17:36 +0200

gpodder (2.4-1) fremantle; urgency=low

  * "The Pants Alternative" release
  * debian/control: Add versioned dependency (>= 1.2) on mygpoclient

 -- Thomas Perl <thp@thpinfo.com>  Mon, 29 Mar 2010 11:12:07 +0200

gpodder (2.3-1) fremantle; urgency=low

  * "The Adhesive Duck Deficiency" release
  * Patches from 2.2-2 dropped - they're merged upstream in 2.3
  * debian/control: Added Polish description by Tomasz Dominikowski
  * debian/control: Added German description by Oskar Welzl

 -- Thomas Perl <thp@thpinfo.com>  Sat, 27 Feb 2010 17:47:08 +0100

gpodder (2.2-2) fremantle; urgency=low

  * Bugfix release for Maemo Extras
  * Merge upstream patch cd7cd0a53e ("PYTHON" variable in Makefile)
  * Merge upstream patch c3a140aa5d (Closes: Maemo bug 8861)

 -- Thomas Perl <thp@thpinfo.com>  Sat, 13 Feb 2010 03:00:39 +0100

gpodder (2.2-1) fremantle; urgency=low

  * The "LA X" release

 -- Thomas Perl <thp@gpodder.org>  Fri,  5 Feb 2010 15:52:45 +0100

gpodder (2.1-1) fremantle; urgency=low

  * "The Luminous Fish Effect" release
  * New upstream release with support for Maemo 5

 -- Thomas Perl <thp@gpodder.org>  Sat, 12 Dec 2009 18:05:43 +0100

gpodder (2.0+git20091206-2) fremantle; urgency=low

  * Depend on gpodder-icon-theme 2.0-3 (to fix Maemo bug 6356)

 -- Thomas Perl <thp@gpodder.org>  Sun,  6 Dec 2009 23:12:14 +0100

gpodder (2.0+git20091206-1) fremantle; urgency=low

  * gPodder 2.1 Preview Release (aka the #maebar release)

 -- Thomas Perl <thp@gpodder.org>  Sun,  6 Dec 2009 09:36:58 +0100

gpodder (2.0+git20091013-thp1) fremantle; urgency=low

  * Optified

 -- Thomas Perl <thp@gpodder.org>  Wed, 14 Oct 2009 14:55:01 +0200

gpodder (2.0+git20091013-thp0) fremantle; urgency=low

  * Second release of gPodder 2.0 for Maemo 5 based on today's
    Git snapshot (commit ID 555070c1e7dbe84214cd4203376096f9e075bba4)

 -- Thomas Perl <thp@gpodder.org>  Tue, 13 Oct 2009 22:54:39 +0200

gpodder (2.0+git20090922-1~thp0) fremantle; urgency=low

  * Initial test release of gPodder 2.0 for Maemo 5 based on today's
    Git snapshot (commit ID 627be33765b7316fd03f6f45e321c4c19aedb031)

 -- Thomas Perl <thp@gpodder.org>  Tue, 22 Sep 2009 20:59:16 +0200
