=== debian/control ===
Source: gpodder
Maintainer: Thomas Perl <thp@gpodder.org>
Section: user/multimedia
Priority: optional
Standards-Version: 3.7.3
Build-Depends: debhelper (>= 5.0.37.2), python-dev, intltool, python-feedparser, python-mygpoclient (>= 1.2), maemo-optify
Homepage: http://gpodder.org/

Package: gpodder
Architecture: all
Depends: python (>= 2.5), python-gobject, python-gtk2 (>= 2.12.1-6maemo10), python-hildon (>= 0.9.0-1maemo12), python-feedparser, python-dbus, python-osso, gpodder-icon-theme (>= 2.0-3), python-simplejson, python-mygpoclient (>= 1.2)
Description: A podcast aggregator for the Nokia N900
 gPodder is a podcast receiver/catcher with a specialized UI that
 has been optimized for Maemo 5 and the N900. Podcasts are like
 short radio shows that you can download from the Internet and
 subscribe to like blogs or news feeds.
 .
 gPodder supports both audio and video podcasts equally, and is
 said to be one of the most usable podcast clients available.
 .
 Different versions for several platforms and devices exist.
 This is the Maemo 5-optimized version of gPodder.
XB-Maemo-Display-Name: gPodder Podcast Client
XB-Maemo-Upgrade-Description: The "Knock knock knock Penny" release
XB-Maemo-Display-Name-pl_PL: Klient podcastów gPodder
XB-Description-pl_PL: Klient podcastów dla telefonu Nokia N900.
XB-Maemo-Display-Name-de_DE: gPodder Podcast-Client
XB-Description-de_DE: Der Podcast-Aggregator für Maemo 5.
XB-Maemo-Icon-26: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAMAAABg3Am1AAAAAXNSR0IArs4c
 6QAAAGNQTFRFQOlpFRMWMi40QCxDWkJhTUpPbTyPeE98eFp/iVatbWluhmmL
 knOWgX+CoHHFmoGft3blqIHBp5CuvIbix5Lqo6Wi0KHtzaXs17PywcTAycvI
 4cb159L22NrX3+He69v39PbzL6jP8AAAAAF0Uk5TAEDm2GYAAAABYktHRACI
 BR1IAAAACXBIWXMAAA3XAAAN1wFCKJt4AAAAB3RJTUUH2QkWEwYVpGDTMQAA
 Au1JREFUSMfNldmCoyAURKOggCguoJKQNv7/V3ZdXBLtZKbfZu5LjKnDrWLL
 5fJPahgH1Dj8Vu1DuKNC8L9ghnB/RHGIVAjDX+SPOPLgrHWDj9AfkNHfHyGM
 tmkai6KPkRA/fhjeP+5hhGoYl/KjaxpC/PDBTggkH5yzxljnHPIDAfHOFul9
 05DcKM5YnitlnBvxzr8jRk96S6OrnPNaM2NUrii6I+JHDk9+SG9yZVhdgkBo
 laMJCMpxMoTpgx/SG5vzTsiOKRBNJCyIkyk0GEhvc2sE16UQtRSNrrTIyVUz
 YHF+NCBDuapQhRZCl6yqrn2lcyQfzi3QwFEDpYpqmqeqEPCUVfM8T4VUMNW4
 QwtsIDTAxOeymKKKw1NGj/OUocVwajHeMaWOEmRXEs19JgQv4uNccUstsLHG
 oyMARmSL6AtA1q/PqTl7IkeWHBm2iuaMi/RrexaI7Sxt4s3RFkHtIoRIpv0Z
 IWjxdk97ZpXMm4g9gZ6dUw/3sABmByoA8QHULfkBbB3alLT9ClCHCtFv6UeA
 OvQpBYGlFOCUpsUCuFeAQttmBYokgTLlgmEd+iTJIjBamqXX0GNcOABZBBIs
 XLoCFNrTUX2eVL+lTq7U4TZfAQh89kQXYo3gX7cGTgMAbIc+wcgZA8AybCrs
 rcTA0esyvHhqMTX9NH9RA7S40qxWKTU4OFo9EUFJMTcsAhIE3G0N/OHKCHQF
 UOzi1mepjkDJkzRLBM2pP59RauGIMDxJGB1RAjSOhSVDjhK0pzs4LGuBS4yv
 gK6ZiXrTdZ3GXXW4l+jCttFVy8rFkug4b9tWCQkxl7V8EviuMUrXKtO2HLfM
 UmUHJX7jEr/Wdb0DTEoef4olu7UBTEHXkbbUZVnuANOg42t62+FGepaU+CZJ
 fgDikFLHEke5XsSk1ztQ64NGLmh5qo5fXoBFVX4sWObPzHwL8ElNwV6XgWY1
 pj5idSx6f161yGBpyBSNtlWp9Trf7/8V2bu6/P/1DQAoZoGxNkMYAAAAAElF
 TkSuQmCC
