## gpodder 2.6-1

=== debian/changelog ===
gpodder (2.6-1) fremantle; urgency=low

  * "The Staircase Implementation" release

 -- Thomas Perl <thp@thpinfo.com>  Sun, 23 May 2010 21:23:16 +0200
