=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Section: user/multimedia
 Priority: optional
 Standards-Version: 3.7.3
-Build-Depends: debhelper (>= 5.0.37.2), python-dev, intltool, python-feedparser, python-mygpoclient (>= 1.2), maemo-optify
+Build-Depends: debhelper (>= 5.0.37.2), python-dev, intltool, python-feedparser, python-mygpoclient (>= 1.4), maemo-optify
 Homepage: http://gpodder.org/
 
 Package: gpodder
 Architecture: all
-Depends: python (>= 2.5), python-gobject, python-gtk2 (>= 2.12.1-6maemo10), python-hildon (>= 0.9.0-1maemo12), python-feedparser, python-dbus, python-osso, gpodder-icon-theme (>= 2.0-3), python-simplejson, python-mygpoclient (>= 1.2)
+Depends: python (>= 2.5), python-gobject, python-gtk2 (>= 2.12.1-6maemo10), python-hildon (>= 0.9.0-1maemo12), python-feedparser, python-dbus, python-osso, gpodder-icon-theme (>= 2.0-3), python-simplejson, python-mygpoclient (>= 1.4)
 Description: A podcast aggregator for the Nokia N900
  gPodder is a podcast receiver/catcher with a specialized UI that
  has been optimized for Maemo 5 and the N900. Podcasts are like
@@ -21,7 +21,7 @@
  Different versions for several platforms and devices exist.
  This is the Maemo 5-optimized version of gPodder.
 XB-Maemo-Display-Name: gPodder Podcast Client
-XB-Maemo-Upgrade-Description: The "Knock knock knock Penny" release
+XB-Maemo-Upgrade-Description: "The Staircase Implementation" release
 XB-Maemo-Display-Name-pl_PL: Klient podcastów gPodder
 XB-Description-pl_PL: Klient podcastów dla telefonu Nokia N900.
 XB-Maemo-Display-Name-de_DE: gPodder Podcast-Client
