## gpodder 2.7-1

=== debian/changelog ===
gpodder (2.7-1) fremantle; urgency=low

  * The "Proposition Infinity" release

 -- Thomas Perl <thp@thpinfo.com>  Wed,  7 Jul 2010 20:21:49 +0200
