## gpodder 2.7-2

=== debian/changelog ===
gpodder (2.7-2) fremantle; urgency=low

  * Merge YouTube bugfixes from the development branch
    (commit IDs: 5be694f9e4 and 756aac8e70)

 -- Thomas Perl <thp@thpinfo.com>  Thu, 05 Aug 2010 15:30:56 +0200
