## gpodder 2.8-1

=== debian/changelog ===
gpodder (2.8-1) fremantle; urgency=low

  * "The Gold Napoleon" release
  * Support for MAFW resuming (D-Bus interaction with media player)
  * Notification support (requires a restart of hildon-home after the
    postinst script ran to re-load the notification settings)
  * debian/postinst: Install notification settings for gPodder
  * Other fixes: See http://gpodder.org/changelog/2.8

 -- Thomas Perl <thp@thpinfo.com>  Sun, 29 Aug 2010 16:52:40 +0200
