## gpodder 2.9-1

=== debian/changelog ===
gpodder (2.9-1) fremantle; urgency=low

  * The "Two Books In Her Bag" release
  * New feed update progress bar / improved UI
  * Show playback progress in the episode list
  * Add "Hint of the day" feature (in main menu)
  * Other fixes: See http://gpodder.org/changelog/2.9

 -- Thomas Perl <thp@thpinfo.com>  Sun, 10 Oct 2010 15:07:21 +0200
