## gpodder 2.10-1

=== debian/changelog ===
gpodder (2.10-1) fremantle; urgency=low

  * The "There Lies A Widget, Stir!" release
  * Optimized episode list model (much faster loading)
  * Pause subscriptions via a podcast's app menu
  * Multi-episode deletion in episode lists app menu
  * Automatic deletion of old episodes after X days
  * Don't set resume point when playing finished episodes
  * Cleaned-up UI elements and better display of lists

 -- Thomas Perl <m@thp.io>  Sun, 28 Nov 2010 17:45:34 +0100
