## gpodder 2.10-2

=== debian/changelog ===
gpodder (2.10-2) fremantle; urgency=low

  * Cherry-pick a podcast directory fix (commit d5df6aec)

 -- Thomas Perl <m@thp.io>  Mon, 29 Nov 2010 10:59:27 +0100
