## gpodder 2.11

=== Makefile ===
--- 
+++ 
@@ -61,6 +61,7 @@
 	@echo 'make messages        update messages.pot + .po files + .mo files'
 	@echo 'make clean           remove generated+temp+*.py{c,o} files'
 	@echo 'make distclean       do a "make clean" + remove "dist/"'
+	@echo 'make headlink        print URL for the current Git head'
 	@echo ''
 	@echo 'make install-git-menuitem   Add shortcuts to your menu for this git checkout'
 	@echo 'make remove-git-menuitem    Remove shortcuts created by "install-git-menuitem"'
@@ -128,11 +129,23 @@
 
 ##########################################################################
 
+# This only works in a Git working commit, and assumes that the local Git
+# HEAD has already been pushed to the main repository. It's mainly useful
+# for the gPodder maintainer to quickly generate a commit link that can be
+# posted online in bug trackers and mailing lists.
+
+headlink:
+	@echo http://gpodder.org/commit/`git show-ref HEAD | head -c8`
+
+##########################################################################
+
 clean:
 	$(PYTHON) setup.py clean
 	find src/ -name '*.pyc' -exec rm '{}' \;
 	find src/ -name '*.pyo' -exec rm '{}' \;
-	rm -f MANIFEST PKG-INFO $(UIFILES_H) data/messages.pot~ data/gpodder-??x??.png .coverage $(GPODDER_SERVICE_FILE)
+	find data/ui/ -name '*.ui.h' -exec rm '{}' \;
+	rm -f MANIFEST PKG-INFO data/messages.pot~
+	rm -f data/gpodder-??x??.png .coverage $(GPODDER_SERVICE_FILE)
 	rm -rf build
 	make -C data/po clean
 
@@ -144,7 +157,7 @@
 
 ##########################################################################
 
-.PHONY: all test unittest release releasetest install manpage clean distclean messages help install-git-menuitem remove-git-menuitem
+.PHONY: all test unittest release releasetest install manpage clean distclean messages help install-git-menuitem remove-git-menuitem headlink
 
 ##########################################################################
