## gpodder 2.11-1

=== debian/changelog ===
gpodder (2.11-1) fremantle; urgency=low

  * The "Dance Me A Dance" release
  * Fix broken YouTube downloads (bug 1217)
  * Proper single-time download notifications (bug 1161)
  * Soundcloud: Better naming of downloaded files
  * YouTube: Better error message for protected videos

 -- Thomas Perl <m@thp.io>  Sun, 19 Dec 2010 23:15:15 +0100
