## gpodder 2.12-1

=== debian/changelog ===
gpodder (2.12-1) fremantle; urgency=low

  * "The Odyssey of Flight 33" release
  * Fix empty database bug for upgrades from old releases
  * Update copyright years to include 2011
  * Remove obsolete information from debian/copyright

 -- Thomas Perl <m@thp.io>  Wed, 12 Jan 2011 12:57:08 +0100
