=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: gpodder
-Maintainer: Thomas Perl <thp@gpodder.org>
+Maintainer: Thomas Perl <m@thp.io>
 Section: user/multimedia
 Priority: optional
 Standards-Version: 3.7.3
@@ -21,7 +21,7 @@
  Different versions for several platforms and devices exist.
  This is the Maemo 5-optimized version of gPodder.
 XB-Maemo-Display-Name: gPodder Podcast Client
-XB-Maemo-Upgrade-Description: The "Dance Me A Dance" release
+XB-Maemo-Upgrade-Description: "The Odyssey of Flight 33" release
 XB-Maemo-Display-Name-pl_PL: Klient podcastów gPodder
 XB-Description-pl_PL: Klient podcastów dla telefonu Nokia N900.
 XB-Maemo-Display-Name-de_DE: gPodder Podcast-Client
