## gpodder 2.13-1

=== debian/changelog ===
gpodder (2.13-1) fremantle; urgency=low

  * The "Mr. Dingle, the Strong" release
  * Fix broken YouTube search (Maemo bug 11756)
  * Mark episodes as played when they are opened in a player
  * Avoid accidental destruction of the episode actions dialog
  * Fix encoding issue (bug 1088)
  * Episode list style updates
  * Add "Copy" button for shownotes (Maemo bug 11487)
  * Move "Visit website" button to app menu
  * Add OPML export to settings (Maemo bug 11504)
  * Always show "Check for new episodes" (Maemo bug 11637)
  * Fix encoding issue with UTF-8 filenames (Maemo bug 11811)
  * Option: Auto-download episodes when on Wi-Fi (Maemo bug 5181)
  * Updated translations: Norwegian Bokml and German

 -- Thomas Perl <m@thp.io>  Sat, 19 Feb 2011 17:13:49 +0100
