## gpodder 2.13-2

=== debian/changelog ===
gpodder (2.13-2) fremantle; urgency=low

  * Depend on python-feedparser >= 5.0.1 (Maemo bug 12016)
  * Remove obsolete dependency on gpodder-icon-theme

 -- Thomas Perl <m@thp.io>  Mon,  7 Mar 2011 22:45:10 +0100
