=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: gpodder
 Architecture: all
-Depends: python (>= 2.5), python-gobject, python-gtk2 (>= 2.12.1-6maemo10), python-hildon (>= 0.9.0-1maemo12), python-feedparser, python-dbus, python-osso, gpodder-icon-theme (>= 2.0-3), python-simplejson, python-mygpoclient (>= 1.4), python-conic
+Depends: python (>= 2.5), python-gobject, python-gtk2 (>= 2.12.1-6maemo10), python-hildon (>= 0.9.0-1maemo12), python-feedparser (>= 5.0.1), python-dbus, python-osso, python-simplejson, python-mygpoclient (>= 1.4), python-conic
 Description: A podcast aggregator for the Nokia N900
  gPodder is a podcast receiver/catcher with a specialized UI that
  has been optimized for Maemo 5 and the N900. Podcasts are like
